<?xml version="1.0" encoding="utf-8"?>

<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    tools:context=".MainActivity">


    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:orientation="vertical">

        <EditText
            android:id="@+id/login"
            android:layout_width="match_parent"
            android:layout_height="50dp"
            android:inputType="text"
            android:text="login">
        </EditText>

        <EditText
            android:id="@+id/password"
            android:layout_width="match_parent"
            android:layout_height="50dp"
            android:inputType="text"
            android:text="password">
        </EditText>

        <Button
            android:id="@+id/authenticate"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:text="Authenticate" />

        <TextView
            android:id="@+id/result"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:text="result"
            android:visibility="invisible"/>
    </LinearLayout>

</androidx.constraintlayout.widget.ConstraintLayout>